From 798ba175d0edd50a696edc8467b2eedeaf881a4c Mon Sep 17 00:00:00 2001
From: Alessio Artoni <34690870+aartoni@users.noreply.github.com>
Date: Fri, 25 Aug 2023 07:53:59 +0000
Subject: Fix wrong font name (#1353)
---
.config/fontconfig/fonts.conf | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
(limited to '.config')
diff --git a/.config/fontconfig/fonts.conf b/.config/fontconfig/fonts.conf
index d7048ba..761ae00 100755
--- a/.config/fontconfig/fonts.conf
+++ b/.config/fontconfig/fonts.conf
@@ -32,7 +32,7 @@
monospace
Noto Sans Mono
- Liberatinus Mono
+ Libertinus Mono
FontAwesome
Braille
--
cgit v1.3.1
From b8cd0ab4953d053fef09c48ba04f2fbb2df57aa4 Mon Sep 17 00:00:00 2001
From: sban <30375170+mr-sban@users.noreply.github.com>
Date: Tue, 5 Sep 2023 07:51:05 +0000
Subject: Timeout added to forecast module, ncmpcpp now tracks player state
(#1359)
* Added timeout to getforecast to prevent status bar breakage.
A 2 second timeout is used in the case that wttr.in is inaccessible when dwm is started; as otherwise it tries to curl wttr.in indefinitely, not allowing other status bar modules to be loaded.
* Update music status bar module on player state change
---
.config/ncmpcpp/config | 1 +
.local/bin/statusbar/sb-forecast | 2 +-
2 files changed, 2 insertions(+), 1 deletion(-)
(limited to '.config')
diff --git a/.config/ncmpcpp/config b/.config/ncmpcpp/config
index 3111aab..1e2a8b0 100644
--- a/.config/ncmpcpp/config
+++ b/.config/ncmpcpp/config
@@ -31,3 +31,4 @@ progressbar_elapsed_color = blue:b
statusbar_color = red
statusbar_time_color = cyan:b
execute_on_song_change="pkill -RTMIN+11 dwmblocks"
+execute_on_player_state_change="pkill -RTMIN+11 dwmblocks"
diff --git a/.local/bin/statusbar/sb-forecast b/.local/bin/statusbar/sb-forecast
index 368c17f..d8a16aa 100755
--- a/.local/bin/statusbar/sb-forecast
+++ b/.local/bin/statusbar/sb-forecast
@@ -7,7 +7,7 @@ url="${WTTRURL:-wttr.in}"
weatherreport="${XDG_CACHE_HOME:-$HOME/.cache}/weatherreport"
# Get a weather report from 'wttr.in' and save it locally.
-getforecast() { curl -sf "$url/$LOCATION" > "$weatherreport" || exit 1; }
+getforecast() { timeout --signal=1 2s curl -sf "$url/$LOCATION" > "$weatherreport" || exit 1; }
# Forecast should be updated only once a day.
checkforecast() {
--
cgit v1.3.1
From bca6b403eb61df8f36e543a95ea48a07e546a9d3 Mon Sep 17 00:00:00 2001
From: Emre AKYÜZ
Date: Fri, 27 Oct 2023 21:54:15 +0300
Subject: Unpack Function for LF Without Aunpack (#1334)
We can simply eliminate the usage of an external tool by adding a simple case statement to handle different types of compressed files.
---
.config/lf/lfrc | 17 ++++++++++++++++-
1 file changed, 16 insertions(+), 1 deletion(-)
(limited to '.config')
diff --git a/.config/lf/lfrc b/.config/lf/lfrc
index 56a4182..e104591 100644
--- a/.config/lf/lfrc
+++ b/.config/lf/lfrc
@@ -58,7 +58,22 @@ cmd extract ${{
printf "%s\n\t" "$fx"
printf "extract?[y/N]"
read ans
- [ $ans = "y" ] && aunpack $fx
+ [ $ans = "y" ] && {
+ case $fx in
+ *.tar.bz2) tar xjf $fx ;;
+ *.tar.gz) tar xzf $fx ;;
+ *.bz2) bunzip2 $fx ;;
+ *.rar) unrar e $fx ;;
+ *.gz) gunzip $fx ;;
+ *.tar) tar xf $fx ;;
+ *.tbz2) tar xjf $fx ;;
+ *.tgz) tar xzf $fx ;;
+ *.zip) unzip $fx ;;
+ *.Z) uncompress $fx ;;
+ *.7z) 7z x $fx ;;
+ *.tar.xz) tar xf $fx ;;
+ esac
+ }
}}
cmd delete ${{
--
cgit v1.3.1
From 1e3adf9c03b2e563e81a13d6907ffd5ca20b887a Mon Sep 17 00:00:00 2001
From: Lalle <29478339+LalleSX@users.noreply.github.com>
Date: Fri, 27 Oct 2023 21:42:32 +0200
Subject: Launch dwm in a dbus session (#1340)
* Launch dwm in a dbus session
* Add ssh-agent
* Update dbus env
* Update xprofile
---
.config/x11/xinitrc | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
(limited to '.config')
diff --git a/.config/x11/xinitrc b/.config/x11/xinitrc
index 2debc01..e99da8c 100755
--- a/.config/x11/xinitrc
+++ b/.config/x11/xinitrc
@@ -13,5 +13,6 @@ if [ -f "${XDG_CONFIG_HOME:-$HOME/.config}/x11/xprofile" ]; then
else
. "$HOME/.xprofile"
fi
-
+# Activate dbus variables
+dbus-update-activation-environment --all
ssh-agent dwm
--
cgit v1.3.1